       program read_tdiff
C
       implicit none
C
       integer*4 ISTATUS
       integer*4 LENGTH, LUCOEF
       integer*4 YEAR, N
       real*8      TIME_DIFF(2)
       real*8      DJ
       real*8      DXJUL

C      248 is correct for Sun Sparc.
C      This should be 62 for DEC alpha, perhaps.
       LENGTH = 248

       LUCOEF = 11

       call IC_OPEN_TIME_COEFF_FILE (LUCOEF, LENGTH, ISTATUS)
       IF (ISTATUS .NE. 0) GOTO 991

       N = 2020
       
       DO 10 YEAR = 1996, N
         DJ = DXJUL(YEAR) + 1.0
         call IC_GET_TIME_DIFF(LUCOEF, DJ, TIME_DIFF, ISTATUS)
         IF (ISTATUS .NE. 0) GOTO 992
         print *, YEAR, TIME_DIFF(1)
10     CONTINUE

991    CONTINUE
       IF (ISTATUS .NE. 0) THEN
           print *, 'Trouble opening timcof file!'
       ENDIF
992    CONTINUE
       IF (ISTATUS .NE. 0) THEN
           print *, 'Trouble reading timcof data!'
       ENDIF
C
        stop
        end






